=== debian/changelog ===
osmid (0.8.0~repack-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:09:19 +1100

osmid (0.8.0~repack-3build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:59:24 +0000

osmid (0.8.0~repack-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Valentin Vidic ]
  * Update standards version to 4.6.2, no changes needed.
  * Update linitian-overrides

 -- Valentin Vidic <vvidic@debian.org>  Tue, 28 Feb 2023 22:56:38 +0100

osmid (0.8.0~repack-2) unstable; urgency=medium

  * Cleanup spdlog patch
  * Enable Salsa CI
  * Update watch file to version 4
  * Add autopkgtests

 -- Valentin Vidic <vvidic@debian.org>  Sun, 08 Nov 2020 15:06:44 +0100

osmid (0.8.0~repack-1) unstable; urgency=medium

  * Initial release (Closes: #972471)

 -- Valentin Vidic <vvidic@debian.org>  Sun, 18 Oct 2020 13:38:50 +0200
