=== debian/control ===
Source: osmid
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Valentin Vidic <vvidic@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libasound2-dev,
 liboscpack-dev,
 libspdlog-dev (>= 1:1.5.0+ds),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/llloret/osmid
Vcs-Browser: https://salsa.debian.org/multimedia-team/osmid
Vcs-Git: https://salsa.debian.org/multimedia-team/osmid.git

Package: osmid
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: tool to convert MIDI to OSC and OSC to MIDI
 osmid aims to provide a lightweight, portable, easy to use tool to convert
 MIDI to OSC and OSC to MIDI. It is the software handling the communication
 with MIDI devices in Sonic Pi. osmid is divided in 2 tools:
 .
  * m2o: MIDI to OSC conversion
  * o2m: OSC to MIDI conversion
