=== debian/tests/control ===
Tests: help
Restrictions: superficial

Tests: m2o
Depends: @, alsa-utils, netcat-traditional, midge
Restrictions: needs-root, skippable

Tests: o2m
Depends: @, alsa-utils, netcat-traditional
Restrictions: needs-root, skippable
